Bug 1189387 (CVE-2021-33193)

Summary: VUL-0: CVE-2021-33193: apache2: httpd: Request splitting via HTTP/2 method injection and mod_proxy
Product: [Novell Products] SUSE Security Incidents Reporter: Marcus Meissner <meissner>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P3 - Medium CC: leilei.shen, meissner, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/307000/
Whiteboard: CVSSv3.1:SUSE:CVE-2021-33193:9.1:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Marcus Meissner 2021-08-12 11:08:09 UTC
rh#1966728

Request splitting via HTTP/2 method injection and mod_proxy in Apache httpd before 2.4.47.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1966728
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-33193
Comment 2 Petr Gajdos 2021-08-13 07:30:03 UTC
In httpd-2.4.48, there is 1.15.18 already, Tumbleweed is fixed already therefore.

Packages submitted: 15sp2,15,12sp2/apache2.
Comment 3 Petr Gajdos 2021-08-13 07:30:31 UTC
I believe all fixed.
Comment 6 Swamp Workflow Management 2021-09-02 13:36:36 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2918-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189387
CVE References: CVE-2021-33193
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    apache2-2.4.23-29.77.2
SUSE Linux Enterprise Server 12-SP5 (src):    apache2-2.4.23-29.77.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-09-03 16:26:38 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:2954-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189387
CVE References: CVE-2021-33193
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    apache2-2.4.43-3.25.1
Comment 8 Swamp Workflow Management 2021-09-03 16:27:55 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2954-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189387
CVE References: CVE-2021-33193
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    apache2-2.4.43-3.25.1
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    apache2-2.4.43-3.25.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    apache2-2.4.43-3.25.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    apache2-2.4.43-3.25.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    apache2-2.4.43-3.25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-09-07 13:36:01 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:1234-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1189387
CVE References: CVE-2021-33193
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    apache2-2.4.43-lp152.2.18.1
Comment 15 Swamp Workflow Management 2021-10-12 10:17:08 UTC
SUSE-SU-2021:3335-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1189387,1190666,1190669,1190702,1190703
CVE References: CVE-2021-33193,CVE-2021-34798,CVE-2021-36160,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server for SAP 15 (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server 15-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    apache2-2.4.33-3.55.1
SUSE Enterprise Storage 6 (src):    apache2-2.4.33-3.55.1
SUSE CaaS Platform 4.0 (src):    apache2-2.4.33-3.55.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Marcus Meissner 2021-10-15 13:47:06 UTC
done